Package org.bukkit

# Enum Class Instrument

java.lang.Object
java.lang.Enum<Instrument>
org.bukkit.Instrument

All Implemented Interfaces:
  `Serializable`, `Comparable<Instrument>`, `Constable`

public enum Instrument extends Enum<Instrument>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BANJO`
Banjo is normally played when a note block is on top of a hay block.
`BASS_DRUM`
Bass drum is normally played when a note block is on top of a stone-like block.
`BASS_GUITAR`
Bass guitar is normally played when a note block is on top of a wooden block.
`BELL`
Bell is normally played when a note block is on top of a gold block.
`BIT`
Bit is normally played when a note block is on top of a emerald block.
`CHIME`
Chime is normally played when a note block is on top of a packed ice block.
`COW_BELL`
Cow Bell is normally played when a note block is on top of a soul sand block.
`DIDGERIDOO`
Didgeridoo is normally played when a note block is on top of a pumpkin block.
`FLUTE`
Flute is normally played when a note block is on top of a clay block.
`GUITAR`
Guitar is normally played when a note block is on top of a woolen block.
`IRON_XYLOPHONE`
Iron Xylophone is normally played when a note block is on top of a iron block.
`PIANO`
Piano is the standard instrument for a note block.
`PLING`
Pling is normally played when a note block is on top of a glowstone block.
`SNARE_DRUM`
Snare drum is normally played when a note block is on top of a sandy block.
`STICKS`
Sticks are normally played when a note block is on top of a glass block.
`XYLOPHONE`
Xylophone is normally played when a note block is on top of a bone block.

## Method Summary

Modifier and Type
Method
Description
`static @Nullable Instrument`
`getByType(byte type)`
Deprecated.
Magic value
`byte`
`getType()`
Deprecated.
Magic value
`static Instrument`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Instrument[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PIANO

public static final Instrument PIANO
Piano is the standard instrument for a note block.

### BASS_DRUM

public static final Instrument BASS_DRUM
Bass drum is normally played when a note block is on top of a stone-like block.

### SNARE_DRUM

public static final Instrument SNARE_DRUM
Snare drum is normally played when a note block is on top of a sandy block.

### STICKS

public static final Instrument STICKS
Sticks are normally played when a note block is on top of a glass block.

### BASS_GUITAR

public static final Instrument BASS_GUITAR
Bass guitar is normally played when a note block is on top of a wooden block.

### FLUTE

public static final Instrument FLUTE
Flute is normally played when a note block is on top of a clay block.

### BELL

public static final Instrument BELL
Bell is normally played when a note block is on top of a gold block.

### GUITAR

public static final Instrument GUITAR
Guitar is normally played when a note block is on top of a woolen block.

### CHIME

public static final Instrument CHIME
Chime is normally played when a note block is on top of a packed ice block.

### XYLOPHONE

public static final Instrument XYLOPHONE
Xylophone is normally played when a note block is on top of a bone block.

### IRON_XYLOPHONE

public static final Instrument IRON_XYLOPHONE
Iron Xylophone is normally played when a note block is on top of a iron block.

### COW_BELL

public static final Instrument COW_BELL
Cow Bell is normally played when a note block is on top of a soul sand block.

### DIDGERIDOO

public static final Instrument DIDGERIDOO
Didgeridoo is normally played when a note block is on top of a pumpkin block.

### BIT

public static final Instrument BIT
Bit is normally played when a note block is on top of a emerald block.

### BANJO

public static final Instrument BANJO
Banjo is normally played when a note block is on top of a hay block.

### PLING

public static final Instrument PLING
Pling is normally played when a note block is on top of a glowstone block.

## Method Details

### values

public static Instrument[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Instrument valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

@Deprecated public byte getType()
Deprecated.
Magic value

Returns:
  The type ID of this instrument.

### getByType

@Deprecated @Nullable public static @Nullable Instrument getByType(byte type)
Deprecated.
Magic value
Get an instrument by its type ID.

Parameters:
  `type` - The type ID
Returns:
  The instrument